export declare const XML_PARSER_OPTION: {
    commentPropName: string;
    ignoreAttributes: boolean;
    ignoreNameSpace: boolean;
    parseTagValue: boolean;
    parseNodeValue: boolean;
    parseAttributeValue: boolean;
    trimValues: boolean;
    processEntities: boolean;
    cdataPropName: string;
};
export declare const JSON_PARSER_OPTION: {
    format: boolean;
    indentBy: string;
    suppressBooleanAttributes: boolean;
    suppressEmptyNode: boolean;
    commentPropName: string;
    ignoreAttributes: boolean;
    ignoreNameSpace: boolean;
    parseTagValue: boolean;
    parseNodeValue: boolean;
    parseAttributeValue: boolean;
    trimValues: boolean;
    processEntities: boolean;
    cdataPropName: string;
};
export interface XmlElement {
    [key: string]: string | XmlElement | string[] | XmlElement[];
}
export interface ProcessElementParams {
    element: XmlElement;
    disassembledPath: string;
    uniqueIdElements: string | undefined;
    rootElementName: string;
    rootElementHeader: string;
    key: string;
    indent: string;
    leafContent: string;
    leafCount: number;
    hasNestedElements: boolean;
}
